/*
 * This proprietary software may be used only as
 * authorised by a licensing agreement from ARM Limited
 * (C) COPYRIGHT 2007 - 2009 ARM Limited
 * ALL RIGHTS RESERVED
 * The entire notice above must be reproduced on all authorised
 * copies and copies may only be made to the extent permitted
 * by a licensing agreement from ARM Limited.
 */


#ifdef GL_ES
precision mediump float;
#endif


uniform mat4 VIEW;
uniform mat4 PROJECTION;
uniform float size;
uniform vec3 position;

attribute vec2 TEXCOORD0;
varying vec2 outTexcoord;


void main(void)
{
	vec4 p = VIEW * vec4(position, 1.0);
	p.xy += (TEXCOORD0 * 2.0 - 1.0) * size;
	gl_Position = PROJECTION * p;

	outTexcoord = TEXCOORD0;
}
